
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define("Example", [], factory);
	else if(typeof exports === 'object')
		exports["Example"] = factory();
	else
		root["Example"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = {
    catapult: __webpack_require__(7),
   svg: __webpack_require__(39),
    terrain: __webpack_require__(40),
    timescale: __webpack_require__(41),
    views: __webpack_require__(42),
    wreckingBall: __webpack_require__(43)
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {
}),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {
 }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {
 }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {
 }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {
}),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {
 }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

var Example = Example || {};

Example.catapult = function() {
    var Engine = Matter.Engine,
        Render = Matter.Render,
        Runner = Matter.Runner,
        Composites = Matter.Composites,
        Constraint = Matter.Constraint,
        MouseConstraint = Matter.MouseConstraint,
        Mouse = Matter.Mouse,
        World = Matter.World,
        Bodies = Matter.Bodies,
        Body = Matter.Body,
        Vector = Matter.Vector;

    // create engine
    var engine = Engine.create(),
        world = engine.world;

    // create renderer
    var render = Render.create({
        element: document.body,
        engine: engine,
        options: {
            width: 1920,
            height: 1080,
            showAngleIndicator: true,
            showCollisions: true,
            showVelocity: true
        }
    });

    Render.run(render);

    // create runner
    var runner = Runner.create();
    Runner.run(runner, engine);

    // add bodies
    var group = Body.nextGroup(true);

    var stack1 = Composites.stack(1100, 255, 1, 3, 0, 0, function(x, y) {
        return Bodies.rectangle(x, y, 60, 60);
    });
    var stack2 = Composites.stack(1000, 255, 1, 3, 0, 0, function(x, y) {
        return Bodies.rectangle(x, y, 60, 30);
    });
     var stack3 = Composites.stack(250, 255, 1, 6, 0, 0, function(x, y) {
        return Bodies.rectangle(x, y, 30, 30);
    });
    var catapult = Bodies.rectangle(600, 520, 620, 20, { collisionFilter: { group: group } });

    World.add(world, [
        stack1,
        stack2,
        stack3,
        catapult,
        Bodies.rectangle(600, 720, 1380, 50.5, { isStatic: true, render: { fillStyle: '#060a19' } }),
        //Bodies.rectangle(700, 560, 20, 50, { isStatic: true, render: { fillStyle: '#BC5913' } }),
        //Bodies.rectangle(500, 560, 20, 50, { isStatic: true, render: { fillStyle: '#BC5913' } }),
        Bodies.rectangle(600, 600, 20, 200, { isStatic: true, collisionFilter: { group: group }, render: { fillStyle: '#060a19' } }),
        Bodies.circle(160, 100, 30, { density: 0.005 }),
        Bodies.circle(100, 100, 20, { density: 0.005 }),
		Bodies.circle(100, 10, 20, { density: 0.005 }),
		Bodies.circle(80, 50, 20, { density: 0.005 }),
		Bodies.circle(80, 100, 30, { density: 0.005 }),


        Constraint.create({ 
            bodyA: catapult, 
            pointB: Vector.clone(catapult.position),
            stiffness: 1,
            length: 0
        })
    ]);

    // add mouse control
    var mouse = Mouse.create(render.canvas),
        mouseConstraint = MouseConstraint.create(engine, {
            mouse: mouse,
            constraint: {
                stiffness: 0.2,
                render: {
                    visible: false
                }
            }
        });

    World.add(world, mouseConstraint);

    // keep the mouse in sync with rendering
    render.mouse = mouse;

    // fit the render viewport to the scene
    Render.lookAt(render, {
        min: { x: 0, y: 0 },
        max: { x: 1280, y: 720 }
    });

    // context for MatterTools.Demo
    return {
        engine: engine,
        runner: runner,
        render: render,
        canvas: render.canvas,
        stop: function() {
            Matter.Render.stop(render);
            Matter.Runner.stop(runner);
        }
    };
};

if (true) {
    module.exports = Example[Object.keys(Example)[0]];
}

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

 }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 39 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 41 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

}),
/* 43 */
/***/ (function(module, exports, __webpack_require__) {

 })
/******/ ]);
});